.page{display:block;}
.wdes-loading{background-color:rgba(0,0,0,0.6);height:100%;left:0;position:fixed;top:0;width:100%;z-index:9999999;}
html,
body{overflow:hidden;}
.wdes-loader{position:absolute;width:100px;height:100px;border-radius:50%;display:inline-block;vertical-align:middle;top:50%;left:50%;transform:translate(-50%, -50%);}
.wdes-loader-icon .line{width:8px;position:absolute;border-radius:5px;bottom:0;background:#9D50BB;background:-moz-linear-gradient(left, #9D50BB 0%, #6E48AA 100%);background:-webkit-gradient(linear, left left, left right, color-sleft(0%, #9D50BB), color-sleft(100%, #6E48AA));background:-webkit-linear-gradient(left, #9D50BB 0%, #6E48AA 100%);background:-o-linear-gradient(left, #9D50BB 0%, #6E48AA 100%);background:-ms-linear-gradient(left, #9D50BB 0%, #6E48AA 100%);background:linear-gradient(to right, #9D50BB 0%, #6E48AA 100%);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#9D50BB', endColorstr='#6E48AA', GradientType=0);}
.wdes-loader-icon .line1{left:0;-webkit-animation:line-grow 0.5s ease alternate infinite;animation:line-grow 0.5s ease alternate infinite;}
.wdes-loader-icon .line2{left:20px;-webkit-animation:line-grow 0.5s 0.2s ease alternate infinite;animation:line-grow 0.5s 0.2s ease alternate infinite;}
.wdes-loader-icon .line3{left:40px;-webkit-animation:line-grow 0.5s 0.4s ease alternate infinite;animation:line-grow 0.5s 0.4s ease alternate infinite;}
@-webkit-keyframes line-grow{0%{height:0;}
100%{height:75%;}
}
@keyframes line-grow{0%{height:0;}
100%{height:75%;}
}